cdfMergeAlleles {affxparser} | R Documentation

## Function to join CDF allele A and allele B groups strand by strand

### Description

Function to join CDF allele A and allele B groups strand by strand.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

### Usage

    cdfMergeAlleles(groups, compReverseBases=FALSE, collapse="", ...)

### Arguments

`groups` | A `list` structure with groups.
`compReverseBases` | If `TRUE`, the group names, which typically are names for bases, are turned into their complementary bases for the reverse strand.
`collapse` | The `character` string used to collapse the allele A and the allele B group names.
`...` | Not used.

### Details

Allele A and allele B are merged into a `matrix` where first row hold the elements for allele A and the second elements for allele B.

### Value

Returns a `list` structure with the two groups `forward` and `reverse`, if the latter exists.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] Affymetrix, Understanding Genotyping Probe Set Structure, 2005. http://www.affymetrix.com/support/developer/whitepapers/genotyping_probe_set_structure.affx

### See Also

`applyCdfGroups`().

[Package affxparser version 1.10.2 Index]